Hire an AI Agent from the Job Market - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/v2.0/aiagents/hire
Hire an AI Agent from the Job Market
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/aiagents/hire \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"templateId": "airline-support-agent-en",
"overrideAiAgentReferenceId": "5f7b1b1b-7b1b-4b1b-9b1b-7b1b1b1b1b1b",
"projectId": "<string>"
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/aiagents/hire"
payload = {
"templateId": "airline-support-agent-en",
"overrideAiAgentReferenceId": "5f7b1b1b-7b1b-4b1b-9b1b-7b1b1b1b1b1b",
"projectId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: 'airline-support-agent-en',
overrideAiAgentReferenceId: '5f7b1b1b-7b1b-4b1b-9b1b-7b1b1b1b1b1b',
projectId: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/aiagents/hire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/aiagents/hire",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'templateId' => 'airline-support-agent-en',
'overrideAiAgentReferenceId' => '5f7b1b1b-7b1b-4b1b-9b1b-7b1b1b1b1b1b',
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/aiagents/hire"
payload := strings.NewReader("{\n \"templateId\": \"airline-support-agent-en\",\n \"overrideAiAgentReferenceId\": \"5f7b1b1b-7b1b-4b1b-9b1b-7b1b1b1b1b1b\",\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 202: Successfully created a Task to hire the AI Agent.
- 400: Bad Request.
- 401: Unauthorized.
- 402: Payment Required.
- 403: Forbidden.
- 404: Not Found.
- 405: Method Not Allowed.
- 409: Conflict.
- 413: Payload Too Large.
- 500: Internal Server Error.
- 501: Not Implemented.
- 502: Bad Gateway.
- 503: Service Unavailable.
- 504: Gateway Timeout.
Request Body
Parameters
templateId: The ID of the AI Agent template to hire. Example: "airline-support-agent-en"overrideAiAgentReferenceId: The reference ID of the AI Agent to override the AI Agent from the hired package. Example: "5f7b1b1b-7b1b-4b1b-9b1b-7b1b1b1b1b1b"projectId: The unique identifier for the Project. Required string length:24
Example Response
{
"_id": "<string>",
"status": "queued",
"type": "trainIntents",
"parameters": {},
"lastChangedAt": 1594243850,
"lastCreatedAt": 1594243850,
"currentStep": 0,
"totalStep": 100
}